=== debian/changelog ===
ros-kinetic-robotis-controller (0.2.9-0xenial) xenial; urgency=high

  * added serivce for setting module
  * deleted comment for debug
  * modified to prevent duplicate indirect address write
  * added boost system dependencies
  * fixed a bug that occure when handling bulk read item that does not exist.
  * Contributors: Kayman, Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 21 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.8-0xenial) xenial; urgency=high

  * modified CMakeLists.txt for system dependencies (yaml-cpp)
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.7-0xenial) xenial; urgency=high

  * changed the License and package format to version 2
  * changed all values read by bulk read are saved to dxl_state_->bulk_read_table_.
  * Modified to prevent duplicate indirect address write
  * Contributors: SCH, Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.6-0xenial) xenial; urgency=high

  * multi thread bug fixed.
  * unnecessary debug print removed.
  * OpenCR control table item name changed. (torque_enable -> dynamixel_power)
  * fixed to not update update_time_stamp_ if bulk read fails.
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.5-0xenial) xenial; urgency=high

  * updated for yaml-cpp dependencies
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.4-0xenial) xenial; urgency=high

  * added cmake_modules in package.xml
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Tue, 06 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.3-0xenial) xenial; urgency=high

  * updated the cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.2-0xenial) xenial; urgency=high

  * updated robotis_controller.cpp
  * changed to read control cycle from .robot file
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.1-0xenial) xenial; urgency=high

  * Merge the changes and update
  * 
    
      * Direct Control Mode bug fixed.
    
  * update
  * 
    
      * added writeControlTableCallback
    
  * 
    
      * added WriteControlTable msg callback
    
  * mode change debugging
  * 
    
      * optimized cpu usage by spin loop (by astumpf)
    
  * 
    
      * robotis_controller process() : processing order changed.
    
    
      * 1st : packet communication
      * 2nd : processing modules
    
  * 
    
      * dependencies fixed. (Pull requests #26 <https://github.com/ROBOTIS-GIT/ROBOTIS-Framework/issues/26>)
    
  * 
    
      * make setJointCtrlModuleCallback() to the thread function & improved.
    
  * 
    
      * modified dependency problem.
    
  * 
    
      * reduce CPU consumption
    
  * Contributors: Jay Song, Pyo, Zerom, SCH

 -- Pyo <pyo@robotis.com>  Tue, 22 Nov 2016 15:00:00 -0000

ros-kinetic-robotis-controller (0.2.0-0xenial) xenial; urgency=high

  * bug fixed (position pid gain & velocity pid gain sync write).
  * added velocity_to_value_ratio to DXL Pro-H series.
  * changed some debug messages.
  * added velocity p/i/d gain and position i/d gain sync_write code.
  * SyncWriteItem bug fixed.
  * add function / modified the code simple (using auto / range based for loop)
  * added XM-430-W210 / XM-430-W350 device file.
  * rename ControlMode(CurrentControl -> TorqueControl)
  * rename (port_to_sync_write_torque_ -> port_to_sync_write_current_)
  * rename (present_current_ -> present_torque_)
  * modified torque control code
  * fixed typos / changed ROS_INFO -> fprintf (for processing speed)
  * startTimer() : after bulkread txpacket(), need some sleep()
  * changed the order of processing in the Process() function.
  * added missing mutex for gazebo
  * fixed crash when running in gazebo simulation
  * sync write bug fix.
  * added position_p_gain sync write
  * MotionModule/SensorModule member variable access changed (public -> protected).
  * Contributors: Jay Song, Zerom, Pyo, SCH

 -- Pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-controller (0.1.1-0xenial) xenial; urgency=high

  * updated the package information

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-controller (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified the package information for release
  * develop branch -> master branch
  * function name changed : DeviceInit() -> InitDevice()
  * Fixed high CPU consumption due to busy waits
  * add SensorState
    add Singleton template
  * XM-430 / CM-740 device file added.
    Sensor device added.
  * added code to support the gazebo simulator
  * added first bulk read failure protection code
  * renewal
  * Contributors: Alexander Stumpf, Jay Song, Zerom, Pyo

 -- pyo <pyo@robotis.com>  Thu, 11 Aug 2016 15:00:00 -0000
